/* Overlay */
#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    z-index: 1000;
    -webkit-transform: translate3d(0, 0, 0);
}

#loading {
    border: 1px solid #2a67ac;
    padding: 10px 10px 10px 60px;
    width: 300px;
    height: 100px;
    background: rgb(255, 255, 255) url("../images/FhHRx-Spinner.gif") 10px 50% no-repeat;
    position: fixed;
    display: none;
    z-index: 3000;
}

#loading h4 {
    margin: 3px 0 0 0;
    padding: 0;
    color: #d80;
}

.pull-right {
    float: right;
}

.non-local-image {
    display: inline-block;
    border: 3px dashed #eee;
    border-radius: 5px;
}

.non-local-image:after {
    background: url(../logo.php) center center no-repeat;
    background-size: cover;
    content: "";
    z-index: -1;
    width: 100%;
    height: 100%;
    display: block;
    opacity: 0.3;
}

div.section-break {
    margin-top: 1em;
    margin-bottom: 0.5em;
    padding-top: 0.8em !important;
    border-top: 1px solid #ccc;
}

input.dp {
    width: 10em;
}

/* Custom css for datepicker */
.ui-datepicker-trigger {
    display: inline-block;
    border: 0;
    padding: 0;
    margin-left: 2px;
    position: relative;
    top: -2px;
    width: 16px;
    height: 16px;
    background: inherit;
}

.draft-saved {
    background-color: black;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 4px 8px 6px;
    border-radius: 3px;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    line-height: 14px;
    position: absolute;
    top: 3em;
    right: 0.5em;
}

.delete-draft:hover {
    background-color: #fc9f41 !important;
}

.sewio-loading {
    position: absolute;
    width: 70px;
    height: 70px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
}

.sewio-loading.small {
    width: 30px;
    height: 30px;
}

@keyframes loading-rotate {
    to {
        transform: rotate(360deg);
    }
}

.sewio-loading-circle:before {
    content: "";
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 70px;
    height: 70px;
    margin-top: -35px;
    margin-left: -35px;
    border-radius: 50%;
    border: 4px solid #ddd;
    border-top-color: #059b39;
    border-bottom-color: #059b39;
    animation: loading-rotate 2s cubic-bezier(0.41, -0.47, 0.58, 1.52) infinite;
}

.sewio-loading.small .sewio-loading-circle:before {
    width: 30px;
    height: 30px;
    margin-top: -15px;
    margin-left: -15px;
    border-width: 2px;
}

.dark .sewio-loading-circle:before {
    border-color: #888;
    border-top-color: #ddd;
    border-bottom-color: #ddd;
}

.sewio-loading-image {
    width: 50px;
    height: 50px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.sewio-loading.small .sewio-loading-image {
    width: 20px;
    height: 20px;
}
